## percona-postgresql-11 11

=== rpm/Makefile ===
#################################
# RPM-specific Makefile		#
# https://yum.postgresql.org	#
#                         	#
# Devrim Gunduz			#
# devrim@gunduz.org		#
#################################

# Predefined values

ARCH=`rpm --eval "%{_arch}"`
DIR=`pwd`
DIST=.f30
SPECFILE="postgresql-11.spec"

# Now, include global Makefile
include ../../../../global/Makefile.global

=== debian/changelog ===
percona-postgresql-11 (11-6) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 11

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Mon, 13 Jan 2020 14:48:01 -0500

percona-postgresql-11 (11-6) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 13 Jan 2020 14:48:01 -0500

=== debian/control ===
Source: percona-postgresql-11
Section: database
Priority: optional
Maintainer: Percona Development Team <info@percona.com>
Build-Depends:
 bison,
 clang-9 [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
 debhelper (>= 9~),
 dh-exec (>= 0.13~),
 docbook-xml,
 docbook-xsl (>= 1.77),
 dpkg-dev (>= 1.16.1~),
 flex,
 gettext,
 krb5-multidev,
 libedit-dev,
 libicu-dev,
 libipc-run-perl,
 libldap2-dev,
 libpam0g-dev | libpam-dev,
 libperl-dev,
 libselinux1-dev [linux-any],
 libssl-dev,
 libsystemd-dev [linux-any],
 libxml2-dev,
 libxml2-utils,
 libxslt1-dev,
 llvm-9-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
 perl (>= 5.8),
 pkg-config,
#py2# python-dev,
 python3-dev,
 systemtap-sdt-dev,
 tcl-dev,
 uuid-dev,
 xsltproc,
 zlib1g-dev | libz-dev
Homepage: http://www.postgresql.org/

Package: libpq-dev
Architecture: any
Section: libdevel
Depends:
 libpq5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: percona-postgresql-doc-11
Description: header files for libpq5 (PostgreSQL library)
 Header files and static library for compiling C programs to link
 with the libpq library in order to communicate with a PostgreSQL
 database backend.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libpq5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: PostgreSQL C client library
 libpq is a C library that enables user programs to communicate with
 the PostgreSQL database server.  The server can be on another machine
 and accessed through TCP/IP.  This version of libpq is compatible
 with servers from PostgreSQL 8.2 or later.
 .
 This package contains the run-time library, needed by packages using
 libpq.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libecpg6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: run-time library for ECPG programs
 The libecpg shared library is used by programs built with ECPG
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libecpg-dev
Architecture: any
Section: libdevel
Depends:
 libecpg-compat3 (= ${binary:Version}),
 libecpg6 (= ${binary:Version}),
 libpgtypes3 (= ${binary:Version}),
 libpq-dev,
 ${misc:Depends},
 ${shlibs:Depends}
Description: development files for ECPG (Embedded PostgreSQL for C)
 This package contains the necessary files to build ECPG (Embedded
 PostgreSQL for C) programs.  It includes the development libraries
 and the preprocessor program ecpg.
 .
 PostgreSQL is an object-relational SQL database management system.
 .
 Install this package if you want to write C programs with SQL statements
 embedded in them (rather than run by an external process).

Package: libecpg-compat3
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: older version of run-time library for ECPG programs
 The libecpg_compat shared library is used by programs built with ecpg.
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libpgtypes3
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: shared library libpgtypes for PostgreSQL 11
 The libpgtypes shared library is used by programs built with ecpg.
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: percona-postgresql-11
Architecture: any
Depends:
 locales | locales-all,
 percona-postgresql-client-11,
 percona-postgresql-common (>= 194~),
 ssl-cert,
 tzdata,
 ${misc:Depends},
 ${shlibs:Depends}
Provides: percona-postgresql-contrib-11 (= 2:11.6-2~), postgresql-contrib-11(= 2:11.6-2~), postgresql-11(= 2:11.6-2~), postgresql (= 2:11.6-2~)
Replaces: postgresql-contrib-11 (<= 11.6-2~), postgresql-contrib-11 (<= 11.6-2~), postgresql-11 (<= 11.6-2~), postgresql (<= 11.6-2~)
Conflicts: postgresql-contrib-11 (<= 11.6-2~), postgresql-contrib-11 (<= 11.6-2~), postgresql-11 (<= 11.6-2~), postgresql (<= 11.6-2~)
Recommends: sysstat
Breaks:
 postgresql-11-citus (<< 8.0.0.PGDG-2~),
 postgresql-11-cron (<< 1.1.3-2~),
 postgresql-11-pgextwlist (<< 1.8-2~),
 postgresql-11-pglogical (<< 2.2.1-4~),
 postgresql-11-plsh (<< 1.20171014-3~),
 postgresql-11-rum (<< 1.3.2-4~),
 postgresql-11-wal2json (<< 1.0-5~),
 postgresql-contrib-11 (<= 11.6-2~), postgresql-contrib-11 (<= 11.6-2~), postgresql-11 (<= 11.6-2~), postgresql (<= 11.6-2~)
Description: object-relational SQL database, version 11 server
 PostgreSQL is a powerful, open source object-relational database
 system. It is fully ACID compliant, has full support for foreign
 keys, joins, views, triggers, and stored procedures (in multiple
 languages). It includes most SQL:2008 data types, including INTEGER,
 NUMERIC, BOOLEAN, CHAR, VARCHAR, DATE, INTERVAL, and TIMESTAMP. It
 also supports storage of binary large objects, including pictures,
 sounds, or video. It has native programming interfaces for C/C++,
 Java, .Net, Perl, Python, Ruby, Tcl, ODBC, among others, and
 exceptional documentation.
 .
 This package provides the database server for PostgreSQL 11.
XB-Postgresql-Catversion: ${postgresql:Catversion}

#dbg#Package: postgresql-11-dbg
#dbg#Section: debug
#dbg#Priority: optional
#dbg#Architecture: any
#dbg#Depends: postgresql-11 (= ${binary:Version}), ${misc:Depends}
#dbg#Description: debug symbols for postgresql-11
#dbg# This package provides detached debugging symbols for PostgreSQL 11.
#dbg# .
#dbg# PostgreSQL is an object-relational SQL database management system.

Package: percona-postgresql-client-11
Architecture: any
Multi-Arch: foreign
Depends:
 libpq5 (>= ${source:Upstream-Version}),
 percona-postgresql-client-common,
 sensible-utils,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: percona-postgresql-11, percona-postgresql-doc-11
Provides: percona-postgresql-client, postgresql-client (= 2:11.6-2~), postgresql-client-11 (= 2:11.6-2~)
Conflicts: postgresql-server-dev-11 (<< 11.6-2~)
Breaks: postgresql-server-dev-11 (<< 11.6-2~)
Replaces: postgresql-server-dev-11 (<= 11.6-2~), postgresql-client (<= 11.6-2~), postgresql-client-11 (<= 11.6-2~)
Description: front-end programs for PostgreSQL 11
 This package contains client and administrative programs for
 PostgreSQL: these are the interactive terminal client psql and
 programs for creating and removing users and databases.
 .
 This is the client package for PostgreSQL 11. If you install
 PostgreSQL 11 on a standalone machine, you need the server package
 postgresql-11, too. On a network, you can install this package on
 many client machines, while the server package may be installed on
 only one machine.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: percona-postgresql-server-dev-11
Architecture: any
Section: libdevel
Depends:
 clang-9 [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
 libpq-dev (>= 11~~),
 llvm-9-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
 percona-postgresql-client-11, percona-postgresql-common (>= 142~),
 ${misc:Depends},
 ${shlibs:Depends}
#Breaks:
# postgresql-server-dev-all (<< 181~)
Provides: postgresql-server-dev-all (= 2:11.6-2~), postgresql-server-dev-all-11 (= 2:11.6-2~)
Replaces: postgresql-server-dev-all (<= 11.6-2~), postgresql-server-dev-all-11 (<= 11.6-2~)
Conflicts: postgresql-server-dev-all (<= 11.6-2~), postgresql-server-dev-all-11 (<= 11.6-2~)
Breaks: postgresql-server-dev-all (<= 11.6-2~), postgresql-server-dev-all-11 (<= 11.6-2~), postgresql-server-dev-all (<< 181~)
Description: development files for PostgreSQL 11 server-side programming
 Header files for compiling SSI code to link into PostgreSQL's backend; for
 example, for C functions to be called from SQL.
 .
 This package also contains the Makefiles necessary for building add-on
 modules of PostgreSQL, which would otherwise have to be built in the
 PostgreSQL source-code tree.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: percona-postgresql-doc-11
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Breaks: postgresql-common (<< 158~)
Description: documentation for the PostgreSQL database management system
 This package contains all README files, user manual, and examples for
 PostgreSQL 11. The manual is in HTML format.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: percona-postgresql-plperl-11
Architecture: any
Depends:
 perl,
 percona-postgresql-11 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Provides: percona-postgresql-plperl, postgresql-plperl (= 2:11.6-2~), postgresql-plperl-11 (= 2:11.6-2~)
Replaces: postgresql-plperl (<= 11.6-2~), postgresql-plperl-11 (<= 11.6-2~)
Conflicts: postgresql-plperl (<= 11.6-2~), postgresql-plperl-11 (<= 11.6-2~)
Breaks: postgresql-plperl (<= 11.6-2~), postgresql-plperl-11 (<= 11.6-2~)
Description: PL/Perl procedural language for PostgreSQL 11
 PL/Perl enables an SQL developer to write procedural language functions
 for PostgreSQL 11 in Perl.  You need this package if you have any
 PostgreSQL 11 functions that use the languages plperl or plperlu.
 .
 PostgreSQL is an object-relational SQL database management system.

#py2#Package: postgresql-plpython-11
#py2#Architecture: any
#py2#Depends:
#py2# postgresql-11 (= ${binary:Version}),
#py2# ${misc:Depends},
#py2# ${shlibs:Depends}
#py2## bitcode files moved from postgresql-11
#py2#Breaks: postgresql-11 (<< 11.5-2~)
#py2#Replaces: postgresql-11 (<< 11.5-2~)
#py2#Provides: postgresql-plpython
#py2#Description: PL/Python procedural language for PostgreSQL 11
#py2# PL/Python enables an SQL developer to write procedural language functions
#py2# for PostgreSQL 11 in Python.  You need this package if you have any
#py2# PostgreSQL 11 functions that use the languages plpython or plpythonu.
#py2# .
#py2# PostgreSQL is an object-relational SQL database management system.

Package: percona-postgresql-plpython3-11
Architecture: any
Depends:
 percona-postgresql-11 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Provides: percona-postgresql-plpython3, postgresql-plpython3 (= 2:11.6-2~), postgresql-11-plpython3 (= 2:11.6-2~)
Replaces: postgresql-plpython3 (<= 11.6-2~), postgresql-11-plpython3 (<= 11.6-2~)
Conflicts: postgresql-plpython3 (<= 11.6-2~), postgresql-11-plpython3 (<= 11.6-2~)
Description: PL/Python 3 procedural language for PostgreSQL 11
 PL/Python 3 enables an SQL developer to write procedural language functions
 for PostgreSQL 11 in Python 3.  You need this package if you have any
 PostgreSQL 11 functions that use the languages plpython3 or plpython3u.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: percona-postgresql-pltcl-11
Architecture: any
Depends:
 percona-postgresql-11 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Provides: percona-postgresql-pltcl, postgresql-pltcl (= 2:11.6-2~), postgresql-11-pltcl (= 2:11.6-2~)
Replaces: postgresql-pltcl (<= 11.6-2~), postgresql-11-pltcl (<= 11.6-2~)
Conflicts: postgresql-pltcl (<= 11.6-2~), postgresql-11-pltcl (<= 11.6-2~)
Breaks: postgresql-pltcl (<= 11.6-2~), postgresql-11-pltcl (<= 11.6-2~)
Description: PL/Tcl procedural language for PostgreSQL 11
 PL/Tcl enables an SQL developer to write procedural language functions
 for PostgreSQL 11 in Tcl.  You need this package if you have any
 PostgreSQL 11 functions that use the languages pltcl or pltclu.
 .
 PostgreSQL is an object-relational SQL database management system.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/vendor.mk

MAJOR_VER := 11
#CASSERT_FLAGS := --enable-cassert
#py2#HAVE_PYTHON2=yes

CATVERSION = $(shell awk '/CATALOG_VERSION_NO/ { print $$3 }' src/include/catalog/catversion.h)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#PIE# # On jessie/zesty and older, uncomment the #PIE# lines
#PIE# # "-pie" because it would break linking our .so files
#PIE# export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
#PIE# # skip -pie on 32bit archs for performance and stability reasons
#PIE# # (http://www.postgresql.org/message-id/20140519115318.GB7296@msgid.df7cb.de, #797530)
#PIE# ifneq ($(DEB_HOST_ARCH_BITS || :),32)
#PIE# CFLAGS+= -fPIC -pie
#PIE# else
#PIE# # if gcc recognizes -no-pie, add it to CFLAGS (exit is 4 for unknown options)
#PIE# CFLAGS+= $(shell gcc -no-pie 2> /dev/null; [ $$? = 1 ] && echo "-no-pie")
#PIE# endif

# Facilitate hierarchical profile generation on amd64 (#730134)
ifeq ($(DEB_HOST_ARCH),amd64)
CFLAGS+= -fno-omit-frame-pointer
endif

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

# if LLVM is installed, use it
ifneq ($(wildcard /usr/bin/llvm-config*),)
LLVM_FLAGS = --with-llvm LLVM_CONFIG=/usr/bin/llvm-config-9 CLANG=/usr/bin/clang-9
endif

# PostgreSQL 9.5+ does not have native spinlock support on alpha
# No spinlock support for RISC-V yet
ifneq ($(findstring $(DEB_HOST_ARCH), alpha riscv64),)
SPINLOCK_FLAGS = --disable-spinlocks
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
SYSTEMD_FLAGS = --with-systemd
SELINUX_FLAGS= --with-selinux
endif

COMMON_CONFIGURE_FLAGS= \
  --mandir=/usr/share/postgresql/$(MAJOR_VER)/man \
  --docdir=/usr/share/doc/postgresql-doc-$(MAJOR_VER) \
  --sysconfdir=/etc/postgresql-common \
  --datarootdir=/usr/share/ \
  --datadir=/usr/share/postgresql/$(MAJOR_VER) \
  --bindir=/usr/lib/postgresql/$(MAJOR_VER)/bin \
  --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/ \
  --libexecdir=/usr/lib/postgresql/ \
  --includedir=/usr/include/postgresql/ \
  --with-extra-version=" ($(DEB_VENDOR) $(DEB_VERSION))" \
  --enable-nls \
  --enable-integer-datetimes \
  --enable-thread-safety \
  --enable-tap-tests \
  --enable-debug \
  --enable-dtrace \
  $(CASSERT_FLAGS) \
  --disable-rpath \
  --with-uuid=e2fs \
  --with-gnu-ld \
  --with-pgport=5432 \
  --with-system-tzdata=/usr/share/zoneinfo \
  $(LLVM_FLAGS) \
  $(SYSTEMD_FLAGS) \
  $(SELINUX_FLAGS) \
  $(SPINLOCK_FLAGS) \
  MKDIR_P='/bin/mkdir -p' \
  TAR='/bin/tar' \
  CFLAGS='$(CFLAGS)' \
  LDFLAGS='$(LDFLAGS)'

# allow missing krb5 and ldap during bootstrapping
ifeq ($(DEB_STAGE),stage1)
BOOTSTRAP_FLAGS=
else
BOOTSTRAP_FLAGS= --with-gssapi --with-ldap \
		 --with-includes=/usr/include/mit-krb5 \
		 --with-libs=/usr/lib/mit-krb5 \
		 --with-libs=/usr/lib/$(DEB_HOST_MULTIARCH)/mit-krb5
endif

%:
	dh $@

override_dh_auto_configure-indep: stamp/configure-build
override_dh_auto_configure-arch: stamp/configure-build
ifeq ($(HAVE_PYTHON2),yes)
override_dh_auto_configure-arch: stamp/configure-build-py2
endif

stamp/configure-build:
	mkdir -p stamp
	dh_auto_configure --builddirectory=build -- \
           --with-icu \
           --with-tcl \
           --with-perl \
           --with-python \
           --with-pam \
           --with-openssl \
           --with-libxml \
           --with-libxslt \
           PYTHON=/usr/bin/python3 \
           $(COMMON_CONFIGURE_FLAGS) \
           $(BOOTSTRAP_FLAGS)
	# remove pre-built documentation
	rm -fv doc/src/sgml/*-stamp
	touch "$@"

stamp/configure-build-py2:
	mkdir -p stamp
	dh_auto_configure --builddirectory=build-py2 -- \
           --with-python \
           PYTHON=/usr/bin/python \
           $(COMMON_CONFIGURE_FLAGS)
	touch "$@"

override_dh_auto_build-indep:
	$(MAKE) -C build/doc all # build man + html

override_dh_auto_build-arch: stamp/build

stamp/build: stamp/configure-build
	# set MAKELEVEL to 0 to force building submake-generated-headers in src/Makefile.global(.in)
	MAKELEVEL=0 $(MAKE) -C build/src all
	$(MAKE) -C build/doc man # build man only
	$(MAKE) -C build/config all
	$(MAKE) -C build/contrib all
	# build tutorial stuff
	$(MAKE) -C build/src/tutorial NO_PGXS=1
	touch "$@"

ifeq ($(HAVE_PYTHON2),yes)
override_dh_auto_build-arch: stamp/build-py2

stamp/build-py2: stamp/configure-build-py2
	MAKELEVEL=0 $(MAKE) -C build-py2/src/pl/plpython
	$(MAKE) -C build-py2/contrib/hstore_plpython
	$(MAKE) -C build-py2/contrib/jsonb_plpython
	$(MAKE) -C build-py2/contrib/ltree_plpython
	touch "$@"
endif

override_dh_auto_install-arch:
	$(MAKE) -C build/doc/src/sgml install-man DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C build/src install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C build/config install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C build/contrib install DESTDIR=$(CURDIR)/debian/tmp
ifeq ($(HAVE_PYTHON2),yes)
	$(MAKE) -C build-py2/src/pl/plpython install DESTDIR=$(CURDIR)/debian/percona-postgresql-plpython-$(MAJOR_VER)
	$(MAKE) -C build-py2/contrib/hstore_plpython install DESTDIR=$(CURDIR)/debian/percona-postgresql-plpython-$(MAJOR_VER)
	$(MAKE) -C build-py2/contrib/jsonb_plpython install DESTDIR=$(CURDIR)/debian/percona-postgresql-plpython-$(MAJOR_VER)
	$(MAKE) -C build-py2/contrib/ltree_plpython install DESTDIR=$(CURDIR)/debian/percona-postgresql-plpython-$(MAJOR_VER)
	# remove files duplicated from postgresql and -server-dev
	rm -rf debian/percona-postgresql-plpython-$(MAJOR_VER)/usr/include
	rm -rf debian/percona-postgresql-plpython-$(MAJOR_VER)/usr/share/locale
	rm debian/percona-postgresql-plpython-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/lib/pgxs/src/pl/plpython/regress-python3-mangle.mk
	# remove files from the "wrong" python package
	rm -v debian/percona-postgresql-plpython-$(MAJOR_VER)/usr/share/postgresql/$(MAJOR_VER)/extension/*plpython3*
endif
	# move SPI examples into server package (they wouldn't be in the doc package in an -A build)
	mkdir -p debian/percona-postgresql-$(MAJOR_VER)/usr/share/doc/postgresql-$(MAJOR_VER)
	mv debian/tmp/usr/share/doc/postgresql-doc-$(MAJOR_VER)/extension debian/percona-postgresql-$(MAJOR_VER)/usr/share/doc/postgresql-$(MAJOR_VER)/examples

override_dh_auto_install-indep:
	$(MAKE) -C build/doc install DESTDIR=$(CURDIR)/debian/tmp

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/postgresql/$(MAJOR_VER)

override_dh_auto_clean:
	rm -rf build* stamp

override_dh_installchangelogs:
	dh_installchangelogs HISTORY

override_dh_compress:
	dh_compress -X.source -X.c
	# compress manpages
	gzip -9n $(CURDIR)/debian/*/usr/share/postgresql/*/man/man*/*.[137]

override_dh_install-arch:
	dh_install --fail-missing

	# link README.Debian.gz to postgresql-common
	mkdir -p debian/percona-postgresql-$(MAJOR_VER)/usr/share/doc/postgresql-$(MAJOR_VER)
	ln -s ../percona-postgresql-common/README.Debian.gz debian/percona-postgresql-$(MAJOR_VER)/usr/share/doc/postgresql-$(MAJOR_VER)/README.Debian.gz

	# assemble perl version of pg_config in libpq-dev
	sed -ne '1,/__DATA__/p' debian/pg_config.pl > debian/libpq-dev/usr/bin/pg_config
	LC_ALL=C debian/percona-postgresql-client-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/bin/pg_config >> debian/libpq-dev/usr/bin/pg_config
	LC_ALL=C debian/percona-postgresql-client-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/bin/pg_config --help >> debian/libpq-dev/usr/bin/pg_config
	chmod 755 debian/libpq-dev/usr/bin/pg_config

	# remove actual build path from Makefile.global for reproducibility
	sed -i -e "s!^abs_top_builddir.*!abs_top_builddir = /build/percona-postgresql-$(MAJOR_VER)/build!" \
	       -e "s!^abs_top_srcdir.*!abs_top_srcdir = /build/percona-postgresql-$(MAJOR_VER)/build/..!" \
	       -e 's!-f\(debug\|file\)-prefix-map=[^ ]* !!g' \
	       debian/percona-postgresql-client-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/lib/pgxs/src/Makefile.global

	# these are shipped in the pl packages

=== debian/tests/control ===
Tests: run-testsuite
Depends: @, build-essential, fakeroot, perl, hunspell-en-us, locales, netcat-openbsd, net-tools, logrotate
Restrictions: needs-root

Tests: installcheck
Depends: @, build-essential
Restrictions: allow-stderr

## percona-postgresql-11 11.14

=== debian/changelog ===
percona-postgresql-11 (11.14-3) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 11.14-3

 -- debian-cloud-user <jenkins@minimal-stretch-x64-3601>  Tue, 14 Dec 2021 07:53:17 -0500

percona-postgresql-11 (11.14) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Tue, 14 Dec 2021 07:53:17 -0500

## percona-postgresql-11 11.15

=== rpm/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 ARCH=`rpm --eval "%{_arch}"`
 DIR=`pwd`
-DIST=.f30
+DIST=.f42
 SPECFILE="postgresql-11.spec"
 
 # Now, include global Makefile

=== src/backend/catalog/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for backend/catalog
#
# Portions Copyright (c) 1996-2018, PostgreSQL Global Development Group
# Portions Copyright (c) 1994, Regents of the University of California
#
# src/backend/catalog/Makefile
#
#-------------------------------------------------------------------------

subdir = src/backend/catalog
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

OBJS = catalog.o dependency.o heap.o index.o indexing.o namespace.o aclchk.o \
       objectaccess.o objectaddress.o partition.o pg_aggregate.o pg_collation.o \
       pg_constraint.o pg_conversion.o \
       pg_depend.o pg_enum.o pg_inherits.o pg_largeobject.o pg_namespace.o \
       pg_operator.o pg_proc.o pg_publication.o pg_range.o \
	   pg_db_role_setting.o pg_shdepend.o pg_subscription.o pg_type.o \
	   storage.o toasting.o

BKIFILES = postgres.bki postgres.description postgres.shdescription

include $(top_srcdir)/src/backend/common.mk

# Note: the order of this list determines the order in which the catalog
# header files are assembled into postgres.bki.  BKI_BOOTSTRAP catalogs
# must appear first, and there are reputedly other, undocumented ordering
# dependencies.
CATALOG_HEADERS := \
	pg_proc.h pg_type.h pg_attribute.h pg_class.h \
	pg_attrdef.h pg_constraint.h pg_inherits.h pg_index.h pg_operator.h \
	pg_opfamily.h pg_opclass.h pg_am.h pg_amop.h pg_amproc.h \
	pg_language.h pg_largeobject_metadata.h pg_largeobject.h pg_aggregate.h \
	pg_statistic_ext.h \
	pg_statistic.h pg_rewrite.h pg_trigger.h pg_event_trigger.h pg_description.h \
	pg_cast.h pg_enum.h pg_namespace.h pg_conversion.h pg_depend.h \
	pg_database.h pg_db_role_setting.h pg_tablespace.h pg_pltemplate.h \
	pg_authid.h pg_auth_members.h pg_shdepend.h pg_shdescription.h \
	pg_ts_config.h pg_ts_config_map.h pg_ts_dict.h \
	pg_ts_parser.h pg_ts_template.h pg_extension.h \
	pg_foreign_data_wrapper.h pg_foreign_server.h pg_user_mapping.h \
	pg_foreign_table.h pg_policy.h pg_replication_origin.h \
	pg_default_acl.h pg_init_privs.h pg_seclabel.h pg_shseclabel.h \
	pg_collation.h pg_partitioned_table.h pg_range.h pg_transform.h \
	pg_sequence.h pg_publication.h pg_publication_rel.h pg_subscription.h \
	pg_subscription_rel.h

GENERATED_HEADERS := $(CATALOG_HEADERS:%.h=%_d.h) schemapg.h

# In the list of headers used to assemble postgres.bki, indexing.h needs
# be last, and toasting.h just before it.  This ensures we don't try to
# create indexes or toast tables before their catalogs exist.
POSTGRES_BKI_SRCS := $(addprefix $(top_srcdir)/src/include/catalog/,\
	$(CATALOG_HEADERS) toasting.h indexing.h \
	)

# The .dat files we need can just be listed alphabetically.
POSTGRES_BKI_DATA = $(addprefix $(top_srcdir)/src/include/catalog/,\
	pg_aggregate.dat pg_am.dat pg_amop.dat pg_amproc.dat pg_authid.dat \
	pg_cast.dat pg_class.dat pg_collation.dat \
	pg_database.dat pg_language.dat \
	pg_namespace.dat pg_opclass.dat pg_operator.dat pg_opfamily.dat \
	pg_pltemplate.dat pg_proc.dat pg_range.dat pg_tablespace.dat \
	pg_ts_config.dat pg_ts_config_map.dat pg_ts_dict.dat pg_ts_parser.dat \
	pg_ts_template.dat pg_type.dat \
	)

# location of Catalog.pm
catalogdir = $(top_srcdir)/src/backend/catalog

all: distprep generated-header-symlinks

distprep: bki-stamp

.PHONY: generated-header-symlinks

generated-header-symlinks: $(top_builddir)/src/include/catalog/header-stamp

# bki-stamp records the last time we ran genbki.pl.  We don't rely on
# the timestamps of the individual output files, because the Perl script
# won't update them if they didn't change (to avoid unnecessary recompiles).
# Technically, this should depend on Makefile.global which supplies
# $(MAJORVERSION); but then genbki.pl would need to be re-run after every
# configure run, even in distribution tarballs.  So depending on configure.in
# instead is cheating a bit, but it will achieve the goal of updating the
# version number when it changes.
bki-stamp: genbki.pl Catalog.pm $(POSTGRES_BKI_SRCS) $(POSTGRES_BKI_DATA) $(top_srcdir)/configure.in
	$(PERL) -I $(catalogdir) $< --set-version=$(MAJORVERSION) $(POSTGRES_BKI_SRCS)
	touch $@

# The generated headers must all be symlinked into builddir/src/include/,
# using absolute links for the reasons explained in src/backend/Makefile.
# We use header-stamp to record that we've done this because the symlinks
# themselves may appear older than bki-stamp.
$(top_builddir)/src/include/catalog/header-stamp: bki-stamp
	prereqdir=`cd '$(dir $<)' >/dev/null && pwd` && \
	cd '$(dir $@)' && for file in $(GENERATED_HEADERS); do \
	  rm -f $$file && $(LN_S) "$$prereqdir/$$file" . ; \
	done
	touch $@

# Note: installation of generated headers is handled elsewhere
.PHONY: install-data
install-data: bki-stamp installdirs
	$(INSTALL_DATA) $(call vpathsearch,postgres.bki) '$(DESTDIR)$(datadir)/postgres.bki'
	$(INSTALL_DATA) $(call vpathsearch,postgres.description) '$(DESTDIR)$(datadir)/postgres.description'
	$(INSTALL_DATA) $(call vpathsearch,postgres.shdescription) '$(DESTDIR)$(datadir)/postgres.shdescription'
	$(INSTALL_DATA) $(srcdir)/system_views.sql '$(DESTDIR)$(datadir)/system_views.sql'
	$(INSTALL_DATA) $(srcdir)/information_schema.sql '$(DESTDIR)$(datadir)/information_schema.sql'
	$(INSTALL_DATA) $(srcdir)/sql_features.txt '$(DESTDIR)$(datadir)/sql_features.txt'

installdirs:
	$(MKDIR_P) '$(DESTDIR)$(datadir)'

.PHONY: uninstall-data
uninstall-data:
	rm -f $(addprefix '$(DESTDIR)$(datadir)'/, $(BKIFILES) system_views.sql information_schema.sql sql_features.txt)

# postgres.bki, postgres.description, postgres.shdescription,
# and the generated headers are in the distribution tarball,
# so they are not cleaned here.
clean:

maintainer-clean: clean
	rm -f bki-stamp $(BKIFILES) $(GENERATED_HEADERS)

=== src/backend/tsearch/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for backend/tsearch
#
# Copyright (c) 2006-2018, PostgreSQL Global Development Group
#
# src/backend/tsearch/Makefile
#
#-------------------------------------------------------------------------
subdir = src/backend/tsearch
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

DICTDIR=tsearch_data

# List of dictionaries files
DICTFILES=synonym_sample.syn thesaurus_sample.ths \
	hunspell_sample.affix \
	ispell_sample.affix ispell_sample.dict \
	hunspell_sample_long.affix hunspell_sample_long.dict \
	hunspell_sample_num.affix hunspell_sample_num.dict

# Local paths to dictionaries files
DICTFILES_PATH=$(addprefix dicts/,$(DICTFILES))

OBJS = ts_locale.o ts_parse.o wparser.o wparser_def.o dict.o \
	dict_simple.o dict_synonym.o dict_thesaurus.o \
	dict_ispell.o regis.o spell.o \
	to_tsany.o ts_selfuncs.o ts_typanalyze.o ts_utils.o

include $(top_srcdir)/src/backend/common.mk

.PHONY: install-data
install-data: $(DICTFILES_PATH) installdirs
	$(INSTALL_DATA) $(addprefix $(srcdir)/,$(DICTFILES_PATH)) '$(DESTDIR)$(datadir)/$(DICTDIR)/'

installdirs:
	$(MKDIR_P) '$(DESTDIR)$(datadir)' '$(DESTDIR)$(datadir)/$(DICTDIR)'

.PHONY: uninstall-data
uninstall-data:
	rm -rf $(addprefix '$(DESTDIR)$(datadir)/$(DICTDIR)/',$(DICTFILES))

=== src/bin/pg_config/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for src/bin/pg_config
#
# Copyright (c) 1998-2018, PostgreSQL Global Development Group
#
# src/bin/pg_config/Makefile
#
#-------------------------------------------------------------------------

PGFILEDESC = "pg_config - report configuration information"
PGAPPICON=win32

subdir = src/bin/pg_config
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

OBJS=   pg_config.o $(WIN32RES)

all: pg_config

pg_config: $(OBJS) | submake-libpgport
	$(CC) $(CFLAGS) $(OBJS) $(LDFLAGS) $(LDFLAGS_EX) $(LIBS) -o $@$(X)

install: all installdirs
	$(INSTALL_SCRIPT) pg_config$(X) '$(DESTDIR)$(bindir)/pg_config$(X)'

installdirs:
	$(MKDIR_P) '$(DESTDIR)$(bindir)'

uninstall:
	rm -f '$(DESTDIR)$(bindir)/pg_config$(X)'

clean distclean maintainer-clean:
	rm -f pg_config$(X) $(OBJS)
	rm -rf tmp_check

check:
	$(prove_check)

installcheck:
	$(prove_installcheck)

=== src/interfaces/ecpg/pgtypeslib/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for ecpg pgtypes library
#
# Portions Copyright (c) 1996-2018, PostgreSQL Global Development Group
# Portions Copyright (c) 1994, Regents of the University of California
#
# src/interfaces/ecpg/pgtypeslib/Makefile
#
#-------------------------------------------------------------------------

subdir = src/interfaces/ecpg/pgtypeslib
top_builddir = ../../../..
include $(top_builddir)/src/Makefile.global

PGFILEDESC = "pgtypes - library for data type mapping"
NAME= pgtypes
SO_MAJOR_VERSION= 3
SO_MINOR_VERSION= $(MAJORVERSION)

override CPPFLAGS := -I../include -I$(top_srcdir)/src/interfaces/ecpg/include \
	-DFRONTEND $(CPPFLAGS)
override CFLAGS += $(PTHREAD_CFLAGS)

# Need to recompile any libpgport object files
LIBS := $(filter-out -lpgport, $(LIBS))

SHLIB_LINK += $(filter -lm, $(LIBS))

SHLIB_EXPORTS = exports.txt

OBJS= numeric.o datetime.o common.o dt_common.o timestamp.o interval.o \
	pgstrcasecmp.o \
	$(filter rint.o snprintf.o strnlen.o, $(LIBOBJS)) \
	string.o \
	$(WIN32RES)

all: all-lib

# Shared library stuff
include $(top_srcdir)/src/Makefile.shlib

# We use some port modules verbatim, but since we need to
# compile with appropriate options to build a shared lib, we can't
# necessarily use the same object files as the backend uses. Instead,
# symlink the source files in here and build our own object file.

pgstrcasecmp.c rint.c snprintf.c strnlen.c: % : $(top_srcdir)/src/port/%
	rm -f $@ && $(LN_S) $< .

string.c: % : $(top_srcdir)/src/common/%
	rm -f $@ && $(LN_S) $< .

install: all installdirs install-lib

installdirs: installdirs-lib

uninstall: uninstall-lib

clean distclean: clean-lib
	rm -f $(OBJS) pgstrcasecmp.c rint.c snprintf.c strnlen.c string.c

maintainer-clean: distclean maintainer-clean-lib

=== debian/changelog ===
percona-postgresql-11 (11.15-3) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 11.15-3

 -- debian-cloud-user <jenkins@minimal-stretch-x64-1463>  Tue, 05 Apr 2022 07:58:38 -0400

percona-postgresql-11 (11.15) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Tue, 05 Apr 2022 07:58:38 -0400

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Percona Development Team <info@percona.com>
 Build-Depends:
  bison,
- clang-9 [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
- debhelper (>= 9~),
+ clang-11 [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
+ debhelper,
  dh-exec (>= 0.13~),
  docbook-xml,
  docbook-xsl (>= 1.77),
@@ -15,7 +15,7 @@
  krb5-multidev,
  libedit-dev,
  libicu-dev,
- libipc-run-perl,
+ libipc-run-perl <!nocheck>,
  libldap2-dev,
  libpam0g-dev | libpam-dev,
  libperl-dev,
@@ -25,7 +25,7 @@
  libxml2-dev,
  libxml2-utils,
  libxslt1-dev,
- llvm-9-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
+ llvm-11-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
  perl (>= 5.8),
  pkg-config,
 #py2# python-dev,
@@ -135,9 +135,9 @@
  tzdata,
  ${misc:Depends},
  ${shlibs:Depends}
-Provides: percona-postgresql-contrib-11 (= 2:11.6-2~), postgresql-contrib-11(= 2:11.6-2~), postgresql-11(= 2:11.6-2~), postgresql (= 2:11.6-2~)
-Replaces: postgresql-contrib-11 (<= 11.6-2~), postgresql-contrib-11 (<= 11.6-2~), postgresql-11 (<= 11.6-2~), postgresql (<= 11.6-2~)
-Conflicts: postgresql-contrib-11 (<= 11.6-2~), postgresql-contrib-11 (<= 11.6-2~), postgresql-11 (<= 11.6-2~), postgresql (<= 11.6-2~)
+Provides: percona-postgresql-contrib-11 (= 2:11.11-2~), postgresql-contrib-11(= 2:11.11-2~), postgresql-11(= 2:11.11-2~), postgresql (= 2:11.11-2~)
+Replaces: postgresql-contrib-11 (<= 11.11-2~), postgresql-contrib-11 (<= 11.11-2~), postgresql-11 (<= 11.11-2~), postgresql (<= 11.11-2~)
+Conflicts: postgresql-contrib-11 (<= 11.11-2~), postgresql-contrib-11 (<= 11.11-2~), postgresql-11 (<= 11.11-2~), postgresql (<= 11.11-2~)
 Recommends: sysstat
 Breaks:
  postgresql-11-citus (<< 8.0.0.PGDG-2~),
@@ -147,30 +147,18 @@
  postgresql-11-plsh (<< 1.20171014-3~),
  postgresql-11-rum (<< 1.3.2-4~),
  postgresql-11-wal2json (<< 1.0-5~),
- postgresql-contrib-11 (<= 11.6-2~), postgresql-contrib-11 (<= 11.6-2~), postgresql-11 (<= 11.6-2~), postgresql (<= 11.6-2~)
-Description: object-relational SQL database, version 11 server
- PostgreSQL is a powerful, open source object-relational database
- system. It is fully ACID compliant, has full support for foreign
- keys, joins, views, triggers, and stored procedures (in multiple
- languages). It includes most SQL:2008 data types, including INTEGER,
- NUMERIC, BOOLEAN, CHAR, VARCHAR, DATE, INTERVAL, and TIMESTAMP. It
- also supports storage of binary large objects, including pictures,
- sounds, or video. It has native programming interfaces for C/C++,
- Java, .Net, Perl, Python, Ruby, Tcl, ODBC, among others, and
- exceptional documentation.
+ postgresql-contrib-11 (<= 11.11-2~), postgresql-contrib-11 (<= 11.11-2~), postgresql-11 (<= 11.11-2~), postgresql (<= 11.11-2~)
+Description: The World's Most Advanced Open Source Relational Database
+ PostgreSQL, also known as Postgres, is a free and open-source relational
+ database management system (RDBMS) emphasizing extensibility and SQL
+ compliance. It features transactions with Atomicity, Consistency, Isolation,
+ Durability (ACID) properties, automatically updatable views, materialized
+ views, triggers, foreign keys, and stored procedures. It is designed to handle
+ a range of workloads, from single machines to data warehouses or Web services
+ with many concurrent users.
  .
  This package provides the database server for PostgreSQL 11.
 XB-Postgresql-Catversion: ${postgresql:Catversion}
-
-#dbg#Package: postgresql-11-dbg
-#dbg#Section: debug
-#dbg#Priority: optional
-#dbg#Architecture: any
-#dbg#Depends: postgresql-11 (= ${binary:Version}), ${misc:Depends}
-#dbg#Description: debug symbols for postgresql-11
-#dbg# This package provides detached debugging symbols for PostgreSQL 11.
-#dbg# .
-#dbg# PostgreSQL is an object-relational SQL database management system.
 
 Package: percona-postgresql-client-11
 Architecture: any
@@ -182,10 +170,10 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests: percona-postgresql-11, percona-postgresql-doc-11
-Provides: percona-postgresql-client, postgresql-client (= 2:11.6-2~), postgresql-client-11 (= 2:11.6-2~)
-Conflicts: postgresql-server-dev-11 (<< 11.6-2~)
-Breaks: postgresql-server-dev-11 (<< 11.6-2~)
-Replaces: postgresql-server-dev-11 (<= 11.6-2~), postgresql-client (<= 11.6-2~), postgresql-client-11 (<= 11.6-2~)
+Provides: percona-postgresql-client, postgresql-client (= 2:11.11-2~), postgresql-client-11 (= 2:11.11-2~)
+Conflicts: postgresql-server-dev-11 (<< 11.11-2~)
+Breaks: postgresql-server-dev-11 (<< 11.11-2~)
+Replaces: postgresql-server-dev-11 (<= 11.11-2~), postgresql-client (<= 11.11-2~), postgresql-client-11 (<= 11.11-2~)
 Description: front-end programs for PostgreSQL 11
  This package contains client and administrative programs for
  PostgreSQL: these are the interactive terminal client psql and
@@ -203,18 +191,17 @@
 Architecture: any
 Section: libdevel
 Depends:
- clang-9 [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
+ clang-11 [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
  libpq-dev (>= 11~~),
- llvm-9-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
+ llvm-11-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
  percona-postgresql-client-11, percona-postgresql-common (>= 142~),
  ${misc:Depends},
  ${shlibs:Depends}
 #Breaks:
-# postgresql-server-dev-all (<< 181~)
-Provides: postgresql-server-dev-all (= 2:11.6-2~), postgresql-server-dev-all-11 (= 2:11.6-2~)
-Replaces: postgresql-server-dev-all (<= 11.6-2~), postgresql-server-dev-all-11 (<= 11.6-2~)
-Conflicts: postgresql-server-dev-all (<= 11.6-2~), postgresql-server-dev-all-11 (<= 11.6-2~)
-Breaks: postgresql-server-dev-all (<= 11.6-2~), postgresql-server-dev-all-11 (<= 11.6-2~), postgresql-server-dev-all (<< 181~)
+#Provides: postgresql-server-dev-all (= 2:11.11-2~), postgresql-server-dev-all-11 (= 2:11.11-2~)
+#Replaces: postgresql-server-dev-all (<= 11.11-2~), postgresql-server-dev-all-11 (<= 11.11-2~)
+#Conflicts: postgresql-server-dev-all (<= 11.11-2~), postgresql-server-dev-all-11 (<= 11.11-2~)
+Breaks: postgresql-server-dev-all (<= 11.11-2~), postgresql-server-dev-all-11 (<= 11.11-2~), postgresql-server-dev-all (<< 181~)
 Description: development files for PostgreSQL 11 server-side programming
  Header files for compiling SSI code to link into PostgreSQL's backend; for
  example, for C functions to be called from SQL.
@@ -244,10 +231,10 @@
  percona-postgresql-11 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
-Provides: percona-postgresql-plperl, postgresql-plperl (= 2:11.6-2~), postgresql-plperl-11 (= 2:11.6-2~)
-Replaces: postgresql-plperl (<= 11.6-2~), postgresql-plperl-11 (<= 11.6-2~)
-Conflicts: postgresql-plperl (<= 11.6-2~), postgresql-plperl-11 (<= 11.6-2~)
-Breaks: postgresql-plperl (<= 11.6-2~), postgresql-plperl-11 (<= 11.6-2~)
+Provides: percona-postgresql-plperl, postgresql-plperl (= 2:11.11-2~), postgresql-plperl-11 (= 2:11.11-2~)
+Replaces: postgresql-plperl (<= 11.11-2~), postgresql-plperl-11 (<= 11.11-2~)
+Conflicts: postgresql-plperl (<= 11.11-2~), postgresql-plperl-11 (<= 11.11-2~)
+Breaks: postgresql-plperl (<= 11.11-2~), postgresql-plperl-11 (<= 11.11-2~)
 Description: PL/Perl procedural language for PostgreSQL 11
  PL/Perl enables an SQL developer to write procedural language functions
  for PostgreSQL 11 in Perl.  You need this package if you have any
@@ -278,9 +265,9 @@
  percona-postgresql-11 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
-Provides: percona-postgresql-plpython3, postgresql-plpython3 (= 2:11.6-2~), postgresql-11-plpython3 (= 2:11.6-2~)
-Replaces: postgresql-plpython3 (<= 11.6-2~), postgresql-11-plpython3 (<= 11.6-2~)
-Conflicts: postgresql-plpython3 (<= 11.6-2~), postgresql-11-plpython3 (<= 11.6-2~)
+Provides: percona-postgresql-plpython3, postgresql-plpython3 (= 2:11.11-2~), postgresql-11-plpython3 (= 2:11.11-2~)
+Replaces: postgresql-plpython3 (<= 11.11-2~), postgresql-11-plpython3 (<= 11.11-2~)
+Conflicts: postgresql-plpython3 (<= 11.11-2~), postgresql-11-plpython3 (<= 11.11-2~)
 Description: PL/Python 3 procedural language for PostgreSQL 11
  PL/Python 3 enables an SQL developer to write procedural language functions
  for PostgreSQL 11 in Python 3.  You need this package if you have any
@@ -294,13 +281,14 @@
  percona-postgresql-11 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
-Provides: percona-postgresql-pltcl, postgresql-pltcl (= 2:11.6-2~), postgresql-11-pltcl (= 2:11.6-2~)
-Replaces: postgresql-pltcl (<= 11.6-2~), postgresql-11-pltcl (<= 11.6-2~)
-Conflicts: postgresql-pltcl (<= 11.6-2~), postgresql-11-pltcl (<= 11.6-2~)
-Breaks: postgresql-pltcl (<= 11.6-2~), postgresql-11-pltcl (<= 11.6-2~)
+Provides: percona-postgresql-pltcl, postgresql-pltcl (= 2:11.11-2~), postgresql-11-pltcl (= 2:11.11-2~)
+Replaces: postgresql-pltcl (<= 11.11-2~), postgresql-11-pltcl (<= 11.11-2~)
+Conflicts: postgresql-pltcl (<= 11.11-2~), postgresql-11-pltcl (<= 11.11-2~)
+Breaks: postgresql-pltcl (<= 11.11-2~), postgresql-11-pltcl (<= 11.11-2~)
 Description: PL/Tcl procedural language for PostgreSQL 11
  PL/Tcl enables an SQL developer to write procedural language functions
  for PostgreSQL 11 in Tcl.  You need this package if you have any
  PostgreSQL 11 functions that use the languages pltcl or pltclu.
  .
  PostgreSQL is an object-relational SQL database management system.
+

=== debian/rules ===
--- 
+++ 
@@ -11,19 +11,8 @@
 CATVERSION = $(shell awk '/CATALOG_VERSION_NO/ { print $$3 }' src/include/catalog/catversion.h)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-#PIE# # On jessie/zesty and older, uncomment the #PIE# lines
-#PIE# # "-pie" because it would break linking our .so files
-#PIE# export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
-#PIE# # skip -pie on 32bit archs for performance and stability reasons
-#PIE# # (http://www.postgresql.org/message-id/20140519115318.GB7296@msgid.df7cb.de, #797530)
-#PIE# ifneq ($(DEB_HOST_ARCH_BITS || :),32)
-#PIE# CFLAGS+= -fPIC -pie
-#PIE# else
-#PIE# # if gcc recognizes -no-pie, add it to CFLAGS (exit is 4 for unknown options)
-#PIE# CFLAGS+= $(shell gcc -no-pie 2> /dev/null; [ $$? = 1 ] && echo "-no-pie")
-#PIE# endif
 
 # Facilitate hierarchical profile generation on amd64 (#730134)
 ifeq ($(DEB_HOST_ARCH),amd64)
@@ -34,7 +23,7 @@
 
 # if LLVM is installed, use it
 ifneq ($(wildcard /usr/bin/llvm-config*),)
-LLVM_FLAGS = --with-llvm LLVM_CONFIG=/usr/bin/llvm-config-9 CLANG=/usr/bin/clang-9
+LLVM_FLAGS = --with-llvm LLVM_CONFIG=/usr/bin/llvm-config-11 CLANG=/usr/bin/clang-11
 endif
 
 # PostgreSQL 9.5+ does not have native spinlock support on alpha
@@ -60,7 +49,6 @@
   --includedir=/usr/include/postgresql/ \
   --with-extra-version=" ($(DEB_VENDOR) $(DEB_VERSION))" \
   --enable-nls \
-  --enable-integer-datetimes \
   --enable-thread-safety \
   --enable-tap-tests \
   --enable-debug \
@@ -76,6 +64,7 @@
   $(SELINUX_FLAGS) \
   $(SPINLOCK_FLAGS) \
   MKDIR_P='/bin/mkdir -p' \
+  PROVE='/usr/bin/prove' \
   TAR='/bin/tar' \
   CFLAGS='$(CFLAGS)' \
   LDFLAGS='$(LDFLAGS)'
@@ -186,11 +175,11 @@
 
 override_dh_compress:
 	dh_compress -X.source -X.c
-	# compress manpages
-	gzip -9n $(CURDIR)/debian/*/usr/share/postgresql/*/man/man*/*.[137]
+	# compress manpages (excluding debian/tmp/)
+	gzip -9n $(CURDIR)/debian/*-*/usr/share/postgresql/*/man/man*/*.[137]
 
 override_dh_install-arch:
-	dh_install --fail-missing
+	dh_install -a
 
 	# link README.Debian.gz to postgresql-common
 	mkdir -p debian/percona-postgresql-$(MAJOR_VER)/usr/share/doc/postgresql-$(MAJOR_VER)
@@ -209,3 +198,14 @@
 	       debian/percona-postgresql-client-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/lib/pgxs/src/Makefile.global
 
 	# these are shipped in the pl packages
+	bash -c "rm debian/percona-postgresql-$(MAJOR_VER)/usr/share/postgresql/$(MAJOR_VER)/extension/{plperl,plpython,pltcl,*_pl}*"
+	bash -c "rm debian/percona-postgresql-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/lib/{plperl,plpython,pltcl,*_pl}*"
+	rm -rfv debian/percona-postgresql-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/lib/bitcode/*plpython3*
+
+	# record catversion in a file
+	echo $(CATVERSION) > debian/percona-postgresql-$(MAJOR_VER)/usr/share/postgresql/$(MAJOR_VER)/catalog_version
+
+override_dh_install-indep:
+	dh_install -i
+
+	if [ -d debian/percona-postgresql-doc-$(MAJOR_VER) ]; then set -e; \
